<div class="characters-list">
  <header class="characters-list__header">
    <img
      class="characters-list__header__logo"
      src="https://upload.wikimedia.org/wikipedia/commons/thumb/b/b1/Rick_and_Morty.svg/1200px-Rick_and_Morty.svg.png"
    />
  </header>

  <div
    *ngIf="loading; else charactersBlock"
    class="characters-list__content--loading"
  >
    <app-spinner></app-spinner>
  </div>
  <ng-template #charactersBlock>
    <div class="characters-list__content">
      <div class="characters-list__content__cards">
        <app-character-card
          *ngFor="let character of characters; index as i"
          [character]="character"
          (click)="click(character)"
        ></app-character-card>
      </div>
    </div>
  </ng-template>

  <footer class="characters-list__pagination">
    <mat-paginator
      aria-label="Selecciona página"
      [length]="pagination.count"
      [showFirstLastButtons]="true"
      [pageSize]="20"
      [pageIndex]="pageIndex"
      (page)="page($event)"
    >
    </mat-paginator>
    <input
      class="characters-list__pagination__input"
      #pageInput
      matInput
      placeholder="Ir a la página..."
      type="number"
      (change)="change($event)"
    />
  </footer>
</div>
